Subject: Re: [gnome-team 1/1] gnu: gnome-control-center: Update to 44.3.

From: Liliana Marie Prikler <[email-masked]>
Date: Tue, 12 Sep 2023 20:25:00 +0200

Am Dienstag, dem 12.09.2023 um 12:03 +0200 schrieb Vivien Kraus:
> Hello!
> 
> Le mardi 12 septembre 2023 à 06:15 +0200, Liliana Marie Prikler a
> écrit :
> > Content-wise LGTM, will rewrite the commit as noted above and wait
> > for
> > CI.
> 
> Did you manage to run it?
> 
> If I do:
> 
> ./pre-inst-env guix shell gnome-control-center -- gnome-control-
> center
> 
> then it immediately crashes, with output:
> 
> 10:54:39.2952 cc-firmware-security-panel[31903]: WARNING: system bus
> not available: Could not connect: No such file or directory
> **
> cc-object-storage:ERROR:../gnome-control-center-44.3/shell/cc-object-
> storage.c:167:cc_object_storage_add_object: assertion failed:
> (G_IS_OBJECT (object))
> Bail out! cc-object-storage:ERROR:../gnome-control-center-
> 44.3/shell/cc-object-storage.c:167:cc_object_storage_add_object:
> assertion failed: (G_IS_OBJECT (object))
> Abandon
> 
> Interestingly, it does not crash on a foreign distro (debian stable).
> 
> I found this, maybe relevant:
> https://gitlab.gnome.org/GNOME/gnome-control-center/-/issues/342
Indeed, I get the same issue.  Perhaps you can comment out the
firmware-security panel in panels/meson.build and see what happens?  I
don't think it's useful to us anyway.

Cheers